# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name data-accessor

Name:           ghc-%{pkg_name}
Version:        0.2.2.3
Release:        6%{?dist}
Summary:        Utilities for accessing and manipulating fields of records

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-transformers-devel
# End cabal-rpm deps

%description
With this package you can define record field accessors which
allow setting, getting and modifying values easily. The
package clearly demonstrates the power of the functional
approach: You can combine accessors of a record and
sub-records, to make the access look like the fields of the
sub-record belong to the main record.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 07 2013 Jens Petersen <petersen@redhat.com> - 0.2.2.3-3
- update to new simplified Haskell Packaging Guidelines

* Wed Jan 30 2013 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.3-2
- Initial import into Fedora

* Sat Dec 08 2012 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.3-1
- Update to 0.2.2.3
- spec file generated by cabal-rpm-0.6.6

* Mon Apr 23 2012 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.2-1
- Update to 0.2.2.2

* Sat Mar 03 2012 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.1-1
- Update to 0.2.2.1
- Update to cabal2spec-0.25.4

* Tue Mar 08 2011 Ben Boeckel <mathstuf@gmail.com> - 0.2.1.7-1
- Update to 0.2.1.7

* Fri Dec 10 2010 Ben Boeckel <mathstuf@gmail.com> - 0.2.1.5-1
- Initial package

* Fri Dec 10 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2.1.5-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
